### Function

# Clapper init

#### Declaration [src]

    void
    clapper_init (
      int* argc,
      char*** argv
    )

#### Description [src]

Initializes the Clapper library. Implementations must always call this before using Clapper API.

Because Clapper uses GStreamer internally, this function will also initialize GStreamer before initializing Clapper itself for user convienience, so application does not have to do so anymore.

WARNING: This function will terminate your program if it was unable to initialize for some reason. If you want to do some fallback logic, use `clapper_init_check()` instead.

#### Parameters

`argc`

  Type: `int*`

  Pointer to application’s argc.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.

`argv`

  Type: An array of `char**`

  Pointer to application’s argv.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `argc` argument.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.